CreditsDeduct credits

Deduct credits

Record usage and decrement an account balance. Returns 402 when the account does not have enough credits. Dual authentication.

curl -X POST "https://api.talkturo.com/api/credits" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)" \
  -d '{
  "accountId": "example_string",
  "amount": 3.14,
  "description": "example_string",
  "metadata": {}
}'
{
  "success": true,
  "transactionId": "example_string",
  "balance": 3.14,
  "autoReloadTriggered": true
}
POST
/credits
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (tk_live_ or tk_test_)
Bearer Tokenstring
Required

Talkturo API key. Send as Authorization: Bearer tk_live_... or Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults to 1000 requests per hour.

Talkturo API key. Send as Authorization: Bearer tk_live_... or Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults to 1000 requests per hour.
API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (tk_live_ or tk_test_). Talkturo API key. Send as Authorization: Bearer tk_live_... or Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults to 1000 requests per hour.

path
parameterstring
Required

API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Responses

successboolean
transactionIdstring
balancenumber
autoReloadTriggeredboolean